Skip to main content
GET
/
my-info
Get information about the current user
curl --request GET \
  --url https://api.withampersand.com/v1/my-info \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.withampersand.com/v1/my-info"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withampersand.com/v1/my-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "builder": {
    "id": "builder-id-123",
    "idpProvider": "clerk",
    "idpRef": "<string>",
    "createTime": "2023-11-07T05:31:56Z",
    "firstName": "<string>",
    "lastName": "<string>",
    "fullName": "<string>",
    "primaryEmail": "<string>"
  },
  "projectRoles": {},
  "orgRole": {
    "role": "admin",
    "principalId": "builder-id-123",
    "org": {
      "id": "9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79",
      "label": "Acme Inc",
      "defaultTeamId": "<string>",
      "createTime": "2023-11-07T05:31:56Z",
      "updateTime": "2023-11-07T05:31:56Z"
    }
  }
}
{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Information about the current user and their organizations and projects

builder
Builder · object
required
projectRoles
object
required

A map of project IDs to project roles for the builder.

orgRole
object